Commit 18529c64 authored by Marinus Schraal's avatar Marinus Schraal
Browse files

CI: Remove for 3.26 branch

Fails for PEP-8 and Flake8, but not getting fixed in the stable branch.
Remove to get rid of pointless warnings.
parent 8cc6f7cd
image: fedora:rawhide
stages:
- check
- build
- deploy
variables:
DEPENDENCIES: python3 gobject-introspection-devel gtk3-devel libmediaart-devel grilo-devel
build:
stage: build
script:
- dnf update -y --nogpgcheck && dnf install -y --nogpgcheck $DEPENDENCIES
- git submodule update --init
- ./autogen.sh
- make
deploy:
stage: deploy
script:
- dnf update -y --nogpgcheck && dnf install -y --nogpgcheck $DEPENDENCIES
- git submodule update --init
- ./autogen.sh
- make distcheck
only:
- tags
pyflakes:
stage: check
script:
- dnf update -y --nogpgcheck && dnf install -y --nogpgcheck python3-pyflakes
- python3-pyflakes .
pep8:
stage: check
script:
- dnf update -y --nogpgcheck && dnf install -y --nogpgcheck python3-pep8
- python3-pep8 --ignore=E501,E225,E265,E402 --show-source --show-pep8 .
allow_failure: true
\ No newline at end of file
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment